#include <gidx.h>
#include <gidx-rd.h>
#include <gidx-format.h>
#include <gidx-u32-format.h>
#define _THIS_IS_LIBGIDX_RD 1
#include "gidx-rd-core.h"

struct _gidx_rd_u32 {
	gidx_pkey_t	*pkey;
	gidx_pkey_t	num_pkey;
};

gidx_u32_t gidx_u32_index(gidx_rd_t rd, gidx_idx_t idx)
{
	struct _gidx_rd_u32 *u32;
	//struct gidx_rd_chunk rdc;

	if ( idx->i_type != GIDX_TYPE_U32 ) {
		ERR("type mismatch: %s", gidx_type_str(idx->i_type));
		return NULL;
	}

	//if ( !gidx_rd_request_chunk(rd, idx, U32_CHUNK_VALS, &rdc) )
	//	return NULL;

	u32 = calloc(1, sizeof(*u32));
	if ( NULL == u32 ) {
		ERR("calloc: %s", os_err());
		return NULL;
	}

	return u32;
}

void gidx_u32_index_free(gidx_u32_t u32)
{
	if ( u32 ) {
		//_gidx_rd_release_chunk(rd, idx, U32_CHUNK_VALS);
		free(u32);
	}
}
