/*
* This file is part of blackbloc
* Copyright (c) 2010 Gianni Tedesco
* Released under the terms of the GNU GPL version 3
*/
#ifndef _GIDX_STR_FORMAT_H
#define _GIDX_STR_FORMAT_H

#define STR_FORMAT_ORDERED	0
#define STR_FORMAT_RADIX	1
#define STR_FORMAT_HASH		2

#define RADIX_CHUNK_EDGES	0
#define RADIX_CHUNK_STRTAB	1
#define RADIX_NUM_CHUNKS	2

struct radix_dedge {
	gidx_pkey_t	re_pkey;
	uint8_t 	re_num_edges;
	uint8_t		re_strtab_len;
	uint8_t		re_edges_hi;
	uint8_t		re_strtab_hi;
	uint16_t	re_edges_idx;
	uint16_t	re_strtab_ofs;
}_packed;

#endif /* _GIDX_STR_FORMAT_H */
